Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.runtime
Interface KnowledgeRuntime

All Superinterfaces:
  KnowledgeRuntimeEventManager, ProcessEventManager, ProcessRuntime, WorkingMemory, WorkingMemoryEntryPoint, WorkingMemoryEventManager

All Known Subinterfaces:
  StatefulKnowledgeSession

All Known Implementing Classes:
  StatefulProcessSession

    public interface KnowledgeRuntime

extends WorkingMemory, ProcessRuntime, KnowledgeRuntimeEventManager

Method Summary
`Calendars` | `getCalendars()`
`Map<String,Channel>` | `getChannels()`
`Environment` | `getEnvironment()`
`Object` | `getGlobal(String identifier)`
`Globals` | `getGlobals()`
`KnowledgeBase` | `getKnowledgeBase()` Returns the KnowledgeBase reference from which this stateful session was created.
`
`<T extends SessionClock> T`
` | `getSessionClock()` Returns the session clock instance assigned to this session
`KnowledgeSessionConfiguration` | `getSessionConfiguration()`
`void` | `registerChannel(String name, Channel channel)`
`void` | `registerExitPoint(String name, ExitPoint exitPoint)` Deprecated. Use `registerChannel(String, Channel)` instead.
`void` | `setGlobal(String identifier, Object value)` Sets a global value on the internal collection
`void` | `unregisterChannel(String name)`
`void` | `unregisterExitPoint(String name)` Deprecated. Use `unregisterChannel(String)` instead.

Methods inherited from interface org.drools.runtime.rule.WorkingMemory
`getAgenda, getQueryResults, getWorkingMemoryEntryPoint, getWorkingMemoryEntryPoints, halt, openLiveQuery`

Methods inherited from interface org.drools.runtime.rule.WorkingMemoryEntryPoint
`getEntryPointId, getFactCount, getFactHandle, getFactHandles, getFactHandles, getObject, getObjects, getObjects, insert, retract, update`

Methods inherited from interface org.drools.runtime.process.ProcessRuntime
`abortProcessInstance, createProcessInstance, getProcessInstance, getProcessInstances, getWorkItemManager, signalEvent, signalEvent, startProcess, startProcess, startProcessInstance`

Methods inherited from interface org.drools.event.rule.WorkingMemoryEventManager
`addEventListener, addEventListener, getAgendaEventListeners, getWorkingMemoryEventListeners, removeEventListener, removeEventListener`

Methods inherited from interface org.drools.event.process.ProcessEventManager
`addEventListener, getProcessEventListeners, removeEventListener`

Method Detail

### getSessionClock

    <T extends SessionClock> T getSessionClock()

  Returns the session clock instance assigned to this session

  Returns:

### setGlobal

    void setGlobal(String identifier,
                   Object value)

  Sets a global value on the internal collection

  Parameters:
    `identifier` - the global identifier
    `value` - the value assigned to the global identifier

### getGlobal

    Object getGlobal(String identifier)

### getGlobals

    Globals getGlobals()

### getCalendars

    Calendars getCalendars()

### getEnvironment

    Environment getEnvironment()

### getKnowledgeBase

    KnowledgeBase getKnowledgeBase()

  Returns the KnowledgeBase reference from which this stateful session was created.

  Returns:

### registerExitPoint

    @Deprecated
    void registerExitPoint(String name,
                                      ExitPoint exitPoint)

  Deprecated. Use `registerChannel(String, Channel)` instead.

### unregisterExitPoint

    @Deprecated
    void unregisterExitPoint(String name)

  Deprecated. Use `unregisterChannel(String)` instead.

### registerChannel

    void registerChannel(String name,
                         Channel channel)

### unregisterChannel

    void unregisterChannel(String name)

### getChannels

    Map<String,Channel> getChannels()

### getSessionConfiguration

    KnowledgeSessionConfiguration getSessionConfiguration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.